libebook::EBOOKOutputElements Class Reference documentation

libebook::EBOOKOutputElements Class Reference

`#include <EBOOKOutputElements.h>`

## Public Types
typedef std::list< std::unique_ptr< EBOOKOutputElement > > | OutputElements_t
typedef std::map< int, OutputElements_t > | OutputElementsMap_t

## Public Member Functions
| EBOOKOutputElements ()
virtual | ~EBOOKOutputElements ()
void | append (const EBOOKOutputElements &elements)
void | write (librevenge::RVNGTextInterface *iface) const
void | addCloseEndnote ()
void | addCloseFooter ()
void | addCloseFootnote ()
void | addCloseFrame ()
void | addCloseHeader ()
void | addCloseLink ()
void | addCloseListElement ()
void | addCloseOrderedListLevel ()
void | addClosePageSpan ()
void | addCloseParagraph ()
void | addCloseSection ()
void | addCloseSpan ()
void | addCloseTable ()
void | addCloseTableCell ()
void | addCloseTableRow ()
void | addCloseUnorderedListLevel ()
void | addInsertBinaryObject (const librevenge::RVNGPropertyList &propList)
void | addInsertCoveredTableCell (const librevenge::RVNGPropertyList &propList)
void | addInsertLineBreak ()
void | addInsertSpace ()
void | addInsertTab ()
void | addInsertText (const librevenge::RVNGString &text)
void | addOpenEndnote (const librevenge::RVNGPropertyList &propList)
void | addOpenFooter (const librevenge::RVNGPropertyList &propList, int id)
void | addOpenFootnote (const librevenge::RVNGPropertyList &propList)
void | addOpenFrame (const librevenge::RVNGPropertyList &propList)
void | addOpenHeader (const librevenge::RVNGPropertyList &propList, int id)
void | addOpenLink (const librevenge::RVNGPropertyList &propList)
void | addOpenListElement (const librevenge::RVNGPropertyList &propList)
void | addOpenOrderedListLevel (const librevenge::RVNGPropertyList &propList)
void | addOpenPageSpan (const librevenge::RVNGPropertyList &propList)
void | addOpenPageSpan (const librevenge::RVNGPropertyList &propList, int footer, int footerLeft, int footerFirst, int footerLast, int header, int headerLeft, int headerFirst, int headerLast)
void | addOpenParagraph (const librevenge::RVNGPropertyList &propList)
void | addOpenSection (const librevenge::RVNGPropertyList &propList)
void | addOpenSpan (const librevenge::RVNGPropertyList &propList)
void | addOpenTable (const librevenge::RVNGPropertyList &propList)
void | addOpenTableCell (const librevenge::RVNGPropertyList &propList)
void | addOpenTableRow (const librevenge::RVNGPropertyList &propList)
void | addOpenUnorderedListLevel (const librevenge::RVNGPropertyList &propList)
void | addStartDocument (const librevenge::RVNGPropertyList &propList)
bool | empty () const

## Private Member Functions
| EBOOKOutputElements (const EBOOKOutputElements &)
EBOOKOutputElements & | operator= (const EBOOKOutputElements &)

## Private Attributes
OutputElements_t | m_bodyElements
std::map< int, OutputElements_t > | m_headerElements
std::map< int, OutputElements_t > | m_footerElements
OutputElements_t * | m_elements

## Member Typedef Documentation

## ◆ OutputElements_t

typedef std::list<std::unique_ptr<EBOOKOutputElement> > libebook::EBOOKOutputElements::OutputElements_t

## ◆ OutputElementsMap_t

typedef std::map<int, OutputElements_t> libebook::EBOOKOutputElements::OutputElementsMap_t

## Constructor & Destructor Documentation

## ◆ EBOOKOutputElements() [1/2]

libebook::EBOOKOutputElements::EBOOKOutputElements | ( |  | ) |

Referenced by append(), EBOOKOutputElements(), and operator=().

## ◆ ~EBOOKOutputElements()

libebook::EBOOKOutputElements::~EBOOKOutputElements | ( |  | ) |
| virtual

## ◆ EBOOKOutputElements() [2/2]

libebook::EBOOKOutputElements::EBOOKOutputElements | ( | const EBOOKOutputElements & |  | ) |
| private

## Member Function Documentation

## ◆ addCloseEndnote()

void libebook::EBOOKOutputElements::addCloseEndnote | ( |  | ) |

## ◆ addCloseFooter()

void libebook::EBOOKOutputElements::addCloseFooter | ( |  | ) |

## ◆ addCloseFootnote()

void libebook::EBOOKOutputElements::addCloseFootnote | ( |  | ) |

## ◆ addCloseFrame()

void libebook::EBOOKOutputElements::addCloseFrame | ( |  | ) |

## ◆ addCloseHeader()

void libebook::EBOOKOutputElements::addCloseHeader | ( |  | ) |

## ◆ addCloseLink()

void libebook::EBOOKOutputElements::addCloseLink | ( |  | ) |

## ◆ addCloseListElement()

void libebook::EBOOKOutputElements::addCloseListElement | ( |  | ) |

## ◆ addCloseOrderedListLevel()

void libebook::EBOOKOutputElements::addCloseOrderedListLevel | ( |  | ) |

## ◆ addClosePageSpan()

void libebook::EBOOKOutputElements::addClosePageSpan | ( |  | ) |

## ◆ addCloseParagraph()

void libebook::EBOOKOutputElements::addCloseParagraph | ( |  | ) |

## ◆ addCloseSection()

void libebook::EBOOKOutputElements::addCloseSection | ( |  | ) |

## ◆ addCloseSpan()

void libebook::EBOOKOutputElements::addCloseSpan | ( |  | ) |

## ◆ addCloseTable()

void libebook::EBOOKOutputElements::addCloseTable | ( |  | ) |

## ◆ addCloseTableCell()

void libebook::EBOOKOutputElements::addCloseTableCell | ( |  | ) |

## ◆ addCloseTableRow()

void libebook::EBOOKOutputElements::addCloseTableRow | ( |  | ) |

## ◆ addCloseUnorderedListLevel()

void libebook::EBOOKOutputElements::addCloseUnorderedListLevel | ( |  | ) |

## ◆ addInsertBinaryObject()

void libebook::EBOOKOutputElements::addInsertBinaryObject | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addInsertCoveredTableCell()

void libebook::EBOOKOutputElements::addInsertCoveredTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addInsertLineBreak()

void libebook::EBOOKOutputElements::addInsertLineBreak | ( |  | ) |

## ◆ addInsertSpace()

void libebook::EBOOKOutputElements::addInsertSpace | ( |  | ) |

## ◆ addInsertTab()

void libebook::EBOOKOutputElements::addInsertTab | ( |  | ) |

## ◆ addInsertText()

void libebook::EBOOKOutputElements::addInsertText | ( | const librevenge::RVNGString & | text | ) |

## ◆ addOpenEndnote()

void libebook::EBOOKOutputElements::addOpenEndnote | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenFooter()

void libebook::EBOOKOutputElements::addOpenFooter | ( | const librevenge::RVNGPropertyList & | propList,
|  | int | id )

## ◆ addOpenFootnote()

void libebook::EBOOKOutputElements::addOpenFootnote | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenFrame()

void libebook::EBOOKOutputElements::addOpenFrame | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenHeader()

void libebook::EBOOKOutputElements::addOpenHeader | ( | const librevenge::RVNGPropertyList & | propList,
|  | int | id )

## ◆ addOpenLink()

void libebook::EBOOKOutputElements::addOpenLink | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenListElement()

void libebook::EBOOKOutputElements::addOpenListElement | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenOrderedListLevel()

void libebook::EBOOKOutputElements::addOpenOrderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenPageSpan() [1/2]

void libebook::EBOOKOutputElements::addOpenPageSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

Referenced by addOpenPageSpan().

## ◆ addOpenPageSpan() [2/2]

void libebook::EBOOKOutputElements::addOpenPageSpan | ( | const librevenge::RVNGPropertyList & | propList,
|  | int | footer,
|  | int | footerLeft,
|  | int | footerFirst,
|  | int | footerLast,
|  | int | header,
|  | int | headerLeft,
|  | int | headerFirst,
|  | int | headerLast )

## ◆ addOpenParagraph()

void libebook::EBOOKOutputElements::addOpenParagraph | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenSection()

void libebook::EBOOKOutputElements::addOpenSection | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenSpan()

void libebook::EBOOKOutputElements::addOpenSpan | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenTable()

void libebook::EBOOKOutputElements::addOpenTable | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenTableCell()

void libebook::EBOOKOutputElements::addOpenTableCell | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenTableRow()

void libebook::EBOOKOutputElements::addOpenTableRow | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addOpenUnorderedListLevel()

void libebook::EBOOKOutputElements::addOpenUnorderedListLevel | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ addStartDocument()

void libebook::EBOOKOutputElements::addStartDocument | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ append()

void libebook::EBOOKOutputElements::append | ( | const EBOOKOutputElements & | elements | ) |

## ◆ empty()

bool libebook::EBOOKOutputElements::empty | ( |  | ) | const
| inline

## ◆ operator=()

EBOOKOutputElements & libebook::EBOOKOutputElements::operator= | ( | const EBOOKOutputElements & |  | ) |
| private

## ◆ write()

void libebook::EBOOKOutputElements::write | ( | librevenge::RVNGTextInterface * | iface | ) | const

## Member Data Documentation

## ◆ m_bodyElements

OutputElements_t libebook::EBOOKOutputElements::m_bodyElements
| private

Referenced by addCloseFooter(), addCloseHeader(), EBOOKOutputElements(), empty(), and write().

## ◆ m_elements

OutputElements_t* libebook::EBOOKOutputElements::m_elements
| private

Referenced by addCloseEndnote(), addCloseFooter(), addCloseFootnote(), addCloseFrame(), addCloseHeader(), addCloseLink(), addCloseListElement(), addCloseOrderedListLevel(), addClosePageSpan(), addCloseParagraph(), addCloseSection(), addCloseSpan(), addCloseTable(), addCloseTableCell(), addCloseTableRow(), addCloseUnorderedListLevel(), addInsertBinaryObject(), addInsertCoveredTableCell(), addInsertLineBreak(), addInsertSpace(), addInsertTab(), addInsertText(), addOpenEndnote(), addOpenFooter(), addOpenFootnote(), addOpenFrame(), addOpenHeader(), addOpenLink(), addOpenListElement(), addOpenOrderedListLevel(), addOpenPageSpan(), addOpenParagraph(), addOpenSection(), addOpenSpan(), addOpenTable(), addOpenTableCell(), addOpenTableRow(), addOpenUnorderedListLevel(), and EBOOKOutputElements().

## ◆ m_footerElements

std::map<int, OutputElements_t> libebook::EBOOKOutputElements::m_footerElements
| private

Referenced by addOpenFooter(), EBOOKOutputElements(), and write().

## ◆ m_headerElements

std::map<int, OutputElements_t> libebook::EBOOKOutputElements::m_headerElements
| private

Referenced by addOpenHeader(), EBOOKOutputElements(), and write().

The documentation for this class was generated from the following files:

- EBOOKOutputElements.h
- EBOOKOutputElements.cpp